﻿using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Windows.Forms;

namespace ExportDiagram
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Syncfusion.Windows.Forms.Diagram.Ellipse ellipse = new Syncfusion.Windows.Forms.Diagram.Ellipse(10, 10, 110, 70);
            this.diagram1.Model.AppendChild(ellipse);

            this.diagram1.BackColor = Color.Transparent;
            this.diagram1.Model.BackgroundStyle.Color = Color.Transparent;
        }

        private void btnExport_Click(object sender, EventArgs e)
        {
            SaveFileDialog saveFileDialog1 = new SaveFileDialog();
            saveFileDialog1.Filter = @"Windows Bitmap(*.bmp)|*.bmp|Exchangeable Image Format(*.exif)|*.exif|Graphics Interchange Format(*.gif)|*.gif|Windows Icon Image(*.ico)|*.ico|Joint Photographic Experts Group(*.jpeg)|*.jpeg|W3C Portable Network Graphics(*.png)|*.png|Tag Image File Format(*.tiff)|*.tiff";//|Enhanced Metafile Format(*.emf)|*.emf";
            saveFileDialog1.Title = "Export Diagram As:";
            saveFileDialog1.FileName = "Diagram";

            ImageFormat imgformat = ImageFormat.Bmp;
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                switch (saveFileDialog1.FilterIndex)
                {
                    case 1:
                        imgformat = ImageFormat.Bmp;
                        break;
                    case 2:
                        imgformat = ImageFormat.Exif;
                        break;
                    case 3:
                        imgformat = ImageFormat.Gif;
                        break;
                    case 4:
                        imgformat = ImageFormat.Icon;
                        break;
                    case 5:
                        imgformat = ImageFormat.Jpeg;
                        break;
                    case 6:
                        imgformat = ImageFormat.Png;
                        break;
                    case 7:
                        imgformat = ImageFormat.Tiff;
                        break;
                }

                Image img = this.diagram1.View.ExportDiagramAsImage(true);
                img.Save(saveFileDialog1.FileName, imgformat);
            }
            else
            {
                return;
            }
        }
    }
}
